Get the webhook secret
curl --request GET \
--url https://api.staging.paywire.xyz/notifications/merchants/me/webhook-secret \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.paywire.xyz/notifications/merchants/me/webhook-secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.paywire.xyz/notifications/merchants/me/webhook-secret"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.staging.paywire.xyz/notifications/merchants/me/webhook-secret");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"merchantId": "0193a0b1-2c3d-7e4f-8a9b-0c1d2e3f4a5b",
"secret": "whsec_3f9a...",
"rotatedAt": "2026-10-20T08:00:00Z"
}Webhooks
Get the webhook secret
The secret webhooks are signed with. Created on first use.
GET
/
notifications
/
merchants
/
me
/
webhook-secret
Get the webhook secret
curl --request GET \
--url https://api.staging.paywire.xyz/notifications/merchants/me/webhook-secret \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.paywire.xyz/notifications/merchants/me/webhook-secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.paywire.xyz/notifications/merchants/me/webhook-secret"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.staging.paywire.xyz/notifications/merchants/me/webhook-secret");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"merchantId": "0193a0b1-2c3d-7e4f-8a9b-0c1d2e3f4a5b",
"secret": "whsec_3f9a...",
"rotatedAt": "2026-10-20T08:00:00Z"
}Use it to verify webhook signatures.